/*****************************************/
// wave animation for Titchaino and ikkeiplexing shield
// by ikkei 2014.05.06
//

#include <arduino.h>
#include <Charlieplexing.h>

#include "wave_animation.h"

static Charlieplexing iLedSign;

const byte wave[] = {
  B00110000,
  B00001100,
  B00000010,
  B00000010,
  B00001100,
  B00110000,
  B01000000,
  B01000000,
};

static byte w_cnt = 0;
extern byte period;

void wave_animation_init(){
  period = 5;
  w_cnt = 0;
}

void wave_animation(){
  iLedSign.ShiftRight();
  iLedSign.Vwrite(0, wave[w_cnt]);
  w_cnt++;
  w_cnt %= sizeof(wave)/sizeof(wave[0]);
}
