/*
  Font drawing library

  Copyright 2009/2010 Benjamin Sonntag <benjamin@sonntag.fr> http://benjamin.sonntag.fr/
  
  History:
	2010-01-01 - V0.0 Initial code at Berlin after 26C3

  				<ikkei@zeus.eonet.ne.jp> http://blog.goo.ne.jp/jh3kxm
  	2010-09-17 - ikkei modified font data to narrow font and wide font
  	2011-12-15 - ikkei modified font data to Misaki font and add Hiragana,
				 and delete draw function
    2013-10-26 - update class library

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#ifndef iFont_h
#define iFont_h

#include <Arduino.h>

class iFont{
public:
	byte Width(uint16_t letter);
	byte Data(uint16_t letter,int x);
};

#endif

